<?

include_once(BLENDER_LIBRARIES_PATH .'phpmailer/PHPMailerAutoload.php');

function check_email_address($email) {
	// First, we check that there's one @ symbol, and that the lengths are right
	if (!ereg("^[^@]{1,64}@[^@]{1,255}$", $email)) {
	// Email invalid because wrong number of characters in one section, or wrong number of @ symbols.
		return false;
	}
    // Split it into sections to make life easier
    $email_array = explode("@", $email);
    $local_array = explode(".", $email_array[0]);
    for ($i = 0; $i < sizeof($local_array); $i++) {
		if (!ereg("^(([A-Za-z0-9!#$%&'*+/=?^_`{|}~-][A-Za-z0-9!#$%&'*+/=?^_`{|}~\.-]{0,63})|(\"[^(\\|\")]{0,62}\"))$", $local_array[$i])) {
			return false;
		}
    }
    if (!ereg("^\[?[0-9\.]+\]?$", $email_array[1])) { // Check if domain is IP. If not, it should be valid domain name
		$domain_array = explode(".", $email_array[1]);
		if (sizeof($domain_array) < 2) {
			return false; // Not enough parts to domain
		}
		for ($i = 0; $i < sizeof($domain_array); $i++) {
			if (!ereg("^(([A-Za-z0-9][A-Za-z0-9-]{0,61}[A-Za-z0-9])|([A-Za-z0-9]+))$", $domain_array[$i])) {
				return false;
			}
		}
    }
    return true;
}


// Process form
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	// Check for Errors
	if (empty($_POST['email'])) { 
    echo '{"SUCCESS":"false","REASON":"email_not_provided"}';exit(0);
    $errors['email'] = 'ERROR';
  } else {
    if (check_email_address($_POST['email'])) {
      $validEmail = "true";
    } else {
      $errors['email'] = 'ERROR';
      echo '{"SUCCESS":"false","REASON":"email_invalid"}';exit(0);
    }
  }
  // if (empty($_POST['name'])) { 
  //   echo '{"SUCCESS":"false","REASON":"name_not_provided"}';exit(0);
  //   $errors['name'] = 'ERROR';
  // }
  if (!empty($_POST['password'])) { 
    echo '{"SUCCESS":"false","REASON":"password"}';exit(0);
    $errors['password'] = 'ERROR';
  }

	// if no errors
	if (empty($errors)) {// Success
		echo '{"SUCCESS":"true"}';

		// Interface with Lyris
		$fields['name'] = $_POST['name'];
		$fields['email'] = $_POST['email'];
		$fields['list'] = 'opaljones_ca';
		//$fields['confirm'] = 'none';
		//$fields['showconfirm'] = 'F';

		//print_r($fields);

		foreach($fields as $key => $val) {
			$post_variables .= $key.'='.$val.'&';
		}

		$post_variables = substr($post_variables,0,-1);
		$ch = curl_init('http://dissemination.blendermedia.com:81/subscribe/subscribe.tml');

		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $post_variables);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$data = curl_exec($ch);
		curl_close($ch);		
		
	} else {
		
	}
} else {
	echo '{"SUCCESS":"false", "REASON":"form_not_submitted"}';
}
?>